Subject: Re: [X2Go-Dev] Bug#587: Bug#587: x2goclient is missing VcXsrv/zlib1.dll
From: Mike Gabriel <[email-masked]>
To: Ivan Kozik <[email-masked]>, [email-masked]
Date: Fri, 29 Aug 2014 11:04:31 +0000

Control: close -1
Control: tag -1 not-a-bug

On  Fr 29 Aug 2014 11:49:23 CEST, Ivan Kozik wrote:

> (Sending again to the right address, sorry)
>
> On Fri, Aug 29, 2014 at 9:20 AM, Stefan Baur <[email-masked]> wrote:
>> Unable to confirm (Windows 7 x86).
>> Fresh install of x2goclient-4.0.2.1+hotfix1+build3-setup.exe, running
>> the actual setup.
>>
>> zlib1.dll *is* there, it's in the x2goclient main directory, though.
>> Not in the VcXsrv subdirectory.
>
> I do have a zlib1.dll in the x2goclient main directory, but that
> wasn't enough to make VcXsrv work.
>
>> x2goclient connects just fine and starts VcXsrv.
>
> I found the problem: it looks like it works only when you start
> x2goclient with the current directory set to the install directory (in
> my case, "C:\Program Files (x86)\x2goclient").  It does ship with a
> working shortcut, but I made my own that didn't set up the cwd
> properly.
>
> In my case, it was because runas didn't pass through the "Start In"  
> directory:
>
> C:\Windows\System32\runas.exe /savecred /profile /user:x2go
> "C:\Program Files (x86)\x2goclient\x2goclient.exe"
>
> but it can also happen if you just have the wrong "Start In" directory
> on the shortcut.

Thanks for reporting your observed issue.

I close this bug as the problem seems to be related to your setup.

Launching X2Go Client always requires to cwd to its installation  
directory, otherwise its DLLs will not be found.

We won't register the shipped cygwin-based DLLs system-wide as the  
danger of interference with other cygwin-based applications is too high.

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb